#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QApplication>
#include <QMenu>
#include <QMenuBar>
#include <QMainWindow>
#include <QFileDialog>
#include <QWidget>
#include <QTextEdit>
#include <QObject>
#include "xmlmodel.h"

class MainWindow: public QMainWindow
{
    Q_OBJECT
public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private:
    QAction* openAction;
    QAction* closeAction;
    QAction* quitAction;

    XmlModel* myXmlModel;
    QTreeView* myTreeView;

private slots:
    void contextMenuCall(QPoint pos);
    void openSlot();
    void closeAllSlot();
    void closeSlot();
    void quitSlot();
};

#endif // MAINWINDOW_H
