#ifndef XMLMODEL_H
#define XMLMODEL_H

#include <QAbstractItemModel>
#include <QMessageBox>
#include <QVariant>
#include <QTreeView>
#include <QFile>
#include <QFileInfo>
#include <QWidget>
#include <QtXml/QDomDocument>
#include <QStandardItem>

class XmlModel: public QAbstractItemModel
{
    Q_OBJECT
public:
     explicit XmlModel(QObject *parent = nullptr);
    ~XmlModel();

    QVariant data(const QModelIndex &index, int role) const override;
    Qt::ItemFlags flags(const QModelIndex &index) const override;
    QModelIndex index(int row, int column,
                      const QModelIndex &parent = QModelIndex()) const override;
    QModelIndex parent(const QModelIndex &child) const override;
    int rowCount(const QModelIndex &parent = QModelIndex()) const override;
    int columnCount(const QModelIndex &parent = QModelIndex()) const override;

    void setIndex(QModelIndex index);
    QObject* objectByIndex(const QModelIndex &index) const;
    friend void addElement(const QDomNode& node,QObject*parent);
    void addFiles(QStringList filesName);
    QObject* getRoot() const;
    QModelIndex getIndex() const;

private:
    QObject* rootItem;
    QObject* activeObject=Q_NULLPTR;
    QModelIndex indexOfObject=QModelIndex();

public slots:
    void makeActive();

};

#endif // XMLMODEL_H
